## maelstrom 3.0.6.9

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.9
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
URLS=http://ftp.tal.org/pub/src/maelstrom/3.0

include ../Rules.make

=== Images/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/Maelstrom
pkglibdir = $(libdir)/Maelstrom
pkgincludedir = $(includedir)/Maelstrom
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
subdir = Images
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(gameimagedir)"
gameimageDATA_INSTALL = $(INSTALL_DATA)
DATA = $(gameimage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I$(top_srcdir) -I$(top_srcdir)/netlogic -I$(top_srcdir)/screenlib -I$(top_srcdir)/maclib -DLIBDIR=\"$(prefix)/data\"
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
DBUS_LIBS = -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GAME_INSTALLDIR = $(prefix)/data
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
ICONOBJ = 
INETLIB = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -L/usr/lib -lSDL -lSDL_net -lSDL_image
LTLIBOBJS = 
MAINT = 
MAINTAINER_MODE_FALSE = #
MAINTAINER_MODE_TRUE = 
MAKEINFO = makeinfo
MATHLIB = -lm
OBJEXT = o
OSSO_AF_CFLAGS =  
OSSO_AF_LIBS =  
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
PACKAGE = Maelstrom
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.0.6.9
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = /usr/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
gamedir = /opt/maelstrom/data
gameimagedir = /opt/maelstrom/data/Images
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/milang/devel/Maelstrom/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/maelstrom
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnu
target_alias = 
target_cpu = arm
target_os = linux-gnu
target_vendor = unknown
gameimage_DATA = Maelstrom_Icon\#100.cicn Maelstrom_Icon\#101.cicn Maelstrom_Icon\#102.cicn Maelstrom_Icon\#103.cicn \
 Maelstrom_Icon\#104.cicn Maelstrom_Icon\#110.cicn Maelstrom_Icon\#128.cicn Maelstrom_Icon\#129.cicn \
 Maelstrom_Icon\#130.cicn Maelstrom_Icon\#131.cicn Maelstrom_Icon\#132.cicn Maelstrom_Icon\#133.cicn \
 Maelstrom_Icon\#134.cicn Maelstrom_Icon\#135.cicn Maelstrom_Icon\#136.cicn Maelstrom_Icon\#137.cicn \
 Maelstrom_Titles\#100.png Maelstrom_Titles\#101.png Maelstrom_Titles\#102.png Maelstrom_Titles\#128.png \
 Maelstrom_Titles\#129.png Maelstrom_Titles\#130.png Maelstrom_Titles\#133.png Maelstrom_Titles\#134.png \
 Maelstrom_Titles\#135.png Maelstrom_Titles\#999.png

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Images/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Images/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
install-gameimageDATA: $(gameimage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gameimagedir)" || $(mkdir_p) "$(DESTDIR)$(gameimagedir)"
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(gameimageDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  $(gameimageDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(gameimagedir)/$$f"; \
	done

uninstall-gameimageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gameimage_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(gameimagedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(gameimagedir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(gameimagedir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-gameimageDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-gameimageDATA uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-gameimageDATA install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am uninstall uninstall-am uninstall-gameimageDATA \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
maelstrom (3.0.6.9) stable; urgency=high

  * Pause and be silent when loosing focus
  * Enable zoom/volume keys for control

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 25 Sep 2010 22:34:00 +0200

=== debian/control ===
Source: maelstrom
Section: user/games
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.2.0), pkg-config (>= 0.18), libsdl1.2-dev, libsdl-net1.2-dev, 
 libsdl-image1.2-dev, osso-af-settings, libglib2.0-dev, libosso-dev, libdbus-glib-1-2
Standards-Version: 3.8.0

Package: maelstrom
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Maemo-Display-Name: Maelstrom, an asteroids clone
Description: Maelstrom, an asteroids clone
 Maelstrom is a 1993 clone of Asteroids originaly for the Macintosh by Ambrosia Software and later made into a GPLed 
 port by Sam Lantinga. More more information see http://en.wikipedia.org/wiki/Maelstrom_(1993_video_game)
 .
 You pilot your ship through the dreaded "Maelstrom" asteroid belt -- suddenly your best friend thrusts towards you 
 and fires, directly at your cockpit. You raise your shields just in time, and the battle is joined.
 The deadliest stretch of space known to mankind has just gotten deadlier. Everywhere massive asteroids jostle for 
 a chance to crush your ship, and deadly shinobi fighter patrols pursue you across the asteroid belt. But the 
 deadliest of them all is your sister ship, assigned to you on patrol. The pilot, trained by your own Navy, battle 
 hardened by months in the Maelstrom, is equipped with a twin of your own ship and intimate knowledge of your 
 tactics.
 .
 The lovely Stratocaster R&R facility never sounded so good, but as you fire full thrusters to dodge the latest 
 barrage you begin to think you'll never get home...
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAA3NCSVQICAjb4U/gAAAE7klEQVRI
 iaXVTW8SWxgH8DnzchgYZkBuAacDVHpDi02lrVZt1MS68IO4Myau/Q7u/Aqurwtj4kKTauKCm/YW
 CrQVGkqhlQ5vM7yUMszbOS4wtfQ2mtz7rGYx85vkf57nOcDpdMZiMZqmif9XCKFCoUDHYrEXL17k
 cjmE0H+2SJJMJBIvX76kIYSZTObVq1e/5iiKsm179AwAwBhf4J49e8YwDD1SEEKmaV6q0DRNUZTH
 4zEMQ9M0p9Pp9/sbjUa32z37AU3TAACE0MXIAAAEQZAAOFiWYZhIOOwJBBqyzDJMOBQqVyputxtC
 SFGUz+crl8uWZZ3/nL5gsSzr9/sZQZCuXvV7vVcEodjrXUEIDIeAZR1eL7BtjLHL5ZqamqJpWlGU
 drt9OUdRVDweFwShThAOCHudjj4cBiDMHh93u90r4bCGkJum43NzyLYPKxWPxxONRpPJZL/f/xHi
 +TgDgcDExARCSBgMqpXKfql0fHraZ9nbt2+btr2dTGrfvomShBD6Wq0Sosg6HIZhiKI4imiMc7vd
 HMfJsswwjIvjWs1ms9ms5PO5ZNK0LIfD0e31hqZ5dHS0k8vt7+zwGFu2fXx8PDqHMQ4AIEnSzMwM
 xng4HJZKJYZhJEkyT04Gnc7ap0+MywW9Xo7j2u22putI16Ftezyehqqqug4ZZtQ6P7LDGMuy7AsG
 I4lE/+BgMBi43W6l1ZpOJP6MxZyW9Uco1CeICMuqnQ7DML1ez+12ZzKZSDQamp//5/37UcP9PIpu
 p5Pe3AxMTyNFYVnWMIzVR49oj8cwzVAotLC4qLZaumkeVav9fp/juEajEQwGxWBQLhTaqkpR1BiH
 CWJwclLJZgOBAM/zT548WVxcTG9ubqbT+W630WwqimLbtqZpFEVtbW3dv39/ZWXl9evXsiyTJHl5
 o4wiePr06fLyMgBg6tq1ZLlsqera2pplWQAAAIDX6z09PQUY+3y+UCjUaDTOZu4nN+pMWZZv3bol
 iqJhGK1W6683b5JfvoiTk81mkyCImZmZmzdvhkKh7NbW9uFhIBxO3Lixu7uradpFThCEeDy+srIy
 HA7fvn0LISwUCtlsFmN8WKlEIpHp6en5+XnLsra3t1Pp9EQ0apHk13z+zBrjAAA+n29ycnJvb299
 fb1WqxEEgRCCEK6ursbjcZZlU6nUwcGBpmnVWm1+YaFVLu/u7lqWdbYuf3KtVuvdu3cMw4ii2Ol0
 bNsGAAiC8PDhw3v37iGENjY2UqmUpmkQwmA0Cicnv3z4cH5gxzjTNBVFicfj169fRwjtbG8LHCdK
 0oMHD1wuVyaTWV9f5zhOkqRoNMrzvM/l+ns4vLD4xk4WY6yqai6XEwRh6c4dneMWJalUKjWbzb29
 PZ7nHQ7H3bt3/X7/0dHRRio1GAyI8RrjEEKKooiiCCFcmJuraxoyjGKxmE6nMcZer5fn+XA43G63
 9/f3TdM8WySXcyOxXq/X6/V8Pu/l+dm5ucePH/f7/Ww2W61WFxYWdF3/+PGjqqqapv37PrjI2bYt
 y/LIbToc0OmMRCI0TUMIDcMoFou5XK5YLGKMzzb7GEeSJMaYJMkLdyNJkrZtl0qlbrdbq9V0XScI
 YmdnZ5Q9AOD8+6NxIkmStixraWnp+fPnl95kGGOE0Gi8f1EkSS4vL3/+/Bk4nc7Z2dnffvDbwhjn
 8/nv7QakXp/Po3AAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_OPT_FLAG:=-O2 -pipe -fomit-frame-pointer
#DEB_SOURCE_PACKAGE:=maelstrom
DEB_TAR_SRCDIR:=Maelstrom-3.0.6.9
ifeq ($(IS_FREMANTLE),y)
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt/maelstrom --datarootdir=/usr/share
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
else
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-maemo
endif
#DEB_AUTO_UPDATE_AUTOCONF=2.59
#DEB_AUTO_UPDATE_AUTOMAKE=1.8

include /usr/share/cdbs/1/rules/tarball.mk

install/maelstrom::
	@echo "*** Fixing up things for maemo"
	install -d -m 755 debian/maelstrom/usr/bin/
ifeq ($(IS_FREMANTLE),y)
	@echo "*** Fremantle"
	sed -e s,@PREFIX@,/opt/maelstrom/bin, debian/Maelstrom.sh.in > debian/maelstrom/usr/bin/Maelstrom
	strip -g debian/maelstrom/opt/maelstrom/bin/Maelstrom
	chmod 666 debian/maelstrom/opt/maelstrom/data/Maelstrom-Scores
else
	@echo "*** Diablo/Chinook"
	mv debian/maelstrom/usr/bin/Maelstrom debian/maelstrom/usr/games/Maelstrom/Maelstrom
	sed -e s,@PREFIX@,/usr/games/Maelstrom, debian/Maelstrom.sh.in > debian/maelstrom/usr/bin/Maelstrom
	chmod 755 debian/maelstrom/usr/bin/Maelstrom
	strip -g debian/maelstrom/usr/games/Maelstrom/Maelstrom
	chmod 666 debian/maelstrom/usr/games/Maelstrom/Maelstrom-Scores
endif
	chmod 755 debian/maelstrom/usr/bin/Maelstrom

## maelstrom 3.0.7

=== debian/changelog ===
maelstrom (3.0.7-5) unstable; urgency=medium

  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Add Vcs-* fields.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Rename postrm to maelstrom.postrm, and preinst to maelstrom.preinst to make
    it clear to which package they refer.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Apr 2025 22:50:27 +0200

maelstrom (3.0.7-4) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Jan 2022 10:35:39 +0100

maelstrom (3.0.7-3) experimental; urgency=medium

  * Drop the replacement of the underscore with a space from the filenames of
    the resources, as the resource loader deals with it on its own.
  * Switch Exec in the desktop file to point to the upstream executable name
    ('Maelstrom') rather than our symlink.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jan 2022 17:05:03 +0100

maelstrom (3.0.7-2) experimental; urgency=medium

  * Add Build-Conflicts: graphicsmagick-imagemagick-compat, as it seems
    graphicsmagick cannot convert the XPM icon.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Dec 2021 12:07:11 +0100

maelstrom (3.0.7-1) experimental; urgency=medium

  * New upstream release.
  * Solely use the version number of the GPL release, rather than the combined
    version of the original game which is basically no more.
  * Adopt package. (Closes: #762499)
  * Update the patches:
    - configure.patch: refresh, drop fixed parts
    - destdir.patch: drop, fixed upstream
    - install-hook.diff: refresh
    - debian-diff-to-be-split-some-day.patch: refresh/update:
      - drop fixed parts upstream
      - drop casts to char*, as the code is more constness aware/safe
      - drop most of the sprintf/vsprintf/strcpy conversions to
        snprintf/vsnprintf/strncpy, as
        SDL_snprintf/SDL_vsnprintf/SDL_strlcpy are used
    - implicit-conversion.patch: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - switch libsdl1.2-dev, and libsdl-net1.2-dev to libsdl2-dev, and
      libsdl2-net-dev for the switch to SDL 2
    - add pkg-config
  * Update maelstrom.docs with the new documentation filenames.
  * Drop Images/Makefile from debian/clean, as that file is no more shipped.
  * Since Maelstrom runs as fullscreen by default, pass -windowed as parameter
    in the desktop file to restore the old default behaviour for XDG menus.
  * The new version saves the scores of the current user in a local user
    directory, rather than only in a system location; hence:
    - remove the extra BMPDIR location, and tweak GAME_INSTALLDIR in
      configure.patch so it can be set to a subdirectory of /usr/share/games
      via ./configure parameter
    - every data file is installed in /usr/share/games/Maelstrom, so drop the
      bits in maelstrom.dirs and rules to relocate the files; only remove those
      misplaced (e.g. docs) or duplicated (i.e. the Maelstrom executable)
    - drop the different group, and guid bit for the Maelstrom executable;
      as result, Rules-Requires-Root can be switched from "binary-targets"
      (set in 1.4.3-L3.0.6+main-9) to "no".
    - add global-saves-compatibility.patch to read the scores from the older
      system location in case there are no local scores for the user, to help
      users migrate from the previous system
    - drop postinst, as there is nothing more to setup when installing/updating
    - add a preinst to remove the /usr/lib/games/maelstrom/Maelstrom-Scores
      symlink (manually created by the old postinst) before the new version is
      unpacked
    - drop the cleanup of /usr/lib/games/maelstrom/Maelstrom-Scores from postrm,
      as that file was cleaned on upgrade
  * Include <time.h> in Maelstrom-netd.c, needed for time(); patch
    missing-include.diff.
  * Use the upstream autogen.sh script to regenerate the build system, instead
    of the standard autoreconf; this makes it possible to drop the
    modernization bits in configure.patch.
  * Rename configure.patch to game_installdir.patch, as it only changes
    GAME_INSTALLDIR now.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Dec 2021 11:16:51 +0100

=== debian/control ===
Source: maelstrom
Section: games
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Homepage: https://www.libsdl.org/projects/Maelstrom/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), pkgconf, libsdl2-dev (>= 2.0.14~), libsdl2-net-dev, imagemagick
Build-Conflicts: graphicsmagick-imagemagick-compat
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pino/maelstrom
Vcs-Git: https://salsa.debian.org/pino/maelstrom.git

Package: maelstrom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade-style game resembling Asteroids
 This is a port of the high-resolution "asteroids" style
 arcade game written by Andrew Welch for the Macintosh.

=== debian/rules ===
#!/usr/bin/make -f

TMPDIR=maelstrom
DATADIR=debian/${TMPDIR}/usr/share/games/Maelstrom
ICONDIR=debian/${TMPDIR}/usr/share/icons/hicolor/48x48/apps

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	  --bindir='$${exec_prefix}/games' \
	  --datadir='$${prefix}/share/games'

execute_after_dh_auto_install:
# duplicate executable installed
	rm -f ${DATADIR}/Maelstrom
# installed/copied separately
	rm -rf ${DATADIR}/Docs/
	rm -f ${DATADIR}/COPYING*
	rm -f ${DATADIR}/README*
# PNG icon for the desktop file
	convert icon.xpm ${ICONDIR}/maelstrom.png

override_dh_installchangelogs:
	dh_installchangelogs Changelog
